### Method

# Clutter Actor set_transform

#### Declaration [src]

    void
    clutter_actor_set_transform (
      ClutterActor* self,
      const graphene_matrix_t* transform
    )

#### Description [src]

Overrides the transformations of a `ClutterActor` with a custom matrix, which will be applied relative to the origin of the actor’s allocation and to the actor’s pivot point.

The `ClutterActor:transform` property is animatable.

Sets property | `Clutter.Actor:transform`

#### Parameters

`transform`

  Type: `graphene_matrix_t`

  A #graphene_matrix_t, or `NULL` to unset a custom transformation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.